| Flutter Linux Embedder |

Functions
fl_compositor.cc File Reference
`#include "fl_compositor.h"`

Go to the source code of this file.

## Functions
static void | fl_compositor_class_init (FlCompositorClass *klass)
static void | fl_compositor_init (FlCompositor *self)
gboolean | fl_compositor_present_layers (FlCompositor *self, const FlutterLayer **layers, size_t layers_count)
gboolean | fl_compositor_render (FlCompositor *self, cairo_t *cr, GdkWindow *window)

## Function Documentation

## ◆ fl_compositor_class_init()

static void fl_compositor_class_init | ( | FlCompositorClass * | klass | ) |
| static

Definition at line 11 of file fl_compositor.cc.

11 {}

## ◆ fl_compositor_init()

static void fl_compositor_init | ( | FlCompositor * | self | ) |
| static

Definition at line 13 of file fl_compositor.cc.

13 {}

## ◆ fl_compositor_present_layers()

gboolean fl_compositor_present_layers | ( | FlCompositor * | compositor,
|  | const FlutterLayer ** | layers,
|  | size_t | layers_count
| ) |  |

FlCompositor:

#FlCompositor is an abstract class that implements Flutter compositing. fl_compositor_present_layers: @compositor: an #FlCompositor. @layers: layers to be composited. @layers_count: number of layers.

Composite layers. Called from the Flutter rendering thread.

Returns TRUE if successful.

Definition at line 15 of file fl_compositor.cc.

17 {
18 g_return_val_if_fail(FL_IS_COMPOSITOR(self), FALSE);
19 return FL_COMPOSITOR_GET_CLASS(self)->present_layers(self, layers,
20 layers_count);
21 }
layers_count
const FlutterLayer size_t layers_count
Definition: fl_compositor_software.cc:33
layers
const FlutterLayer ** layers
Definition: fl_compositor_software.cc:32

References layers, and layers_count.

Referenced by fl_view_present_layers(), and TEST().

## ◆ fl_compositor_render()

gboolean fl_compositor_render | ( | FlCompositor * | compositor,
|  | cairo_t * | cr,
|  | GdkWindow * | window
| ) |  |

fl_compositor_render: @compositor: an #FlCompositor. @cr: a Cairo rendering context. @window: window being rendered into.

Renders the current frame. Called from the GTK thread.

Returns TRUE if successful.

Definition at line 23 of file fl_compositor.cc.

25 {
26 g_return_val_if_fail(FL_IS_COMPOSITOR(self), FALSE);
27 return FL_COMPOSITOR_GET_CLASS(self)->render(self, cr, window);
28 }
window
return window
Definition: fl_application.cc:41

References window.

Referenced by draw_cb(), and TEST().